runner-enrollments
Operations of the Biome Host API. Paths are relative to your deployment's API host.
GET /api/biome-host-api/runtimes/{executionTargetId}/enrollments
List runner enrollments for an accessible runtime
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
executionTargetId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json RunnerEnrollmentManagementResponseDtoDataArrayEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/runtimes/{executionTargetId}/enrollments
Create a non-active enrollment for asynchronous identity provisioning
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
executionTargetId | path | string | yes |
Request body: application/json CreateRunnerEnrollmentDto
| Status | Description | Body |
|---|---|---|
| 201 | application/json RunnerEnrollmentManagementResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/runtimes/{executionTargetId}/enrollments/{enrollmentId}/drain
Stop new work and begin enrollment revocation
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
enrollmentId | path | string | yes | |
executionTargetId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json RunnerEnrollmentManagementResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/biome-host-api/runtimes/{executionTargetId}/enrollments/{enrollmentId}/rotate
Issue a successor credential for this enrollment
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
enrollmentId | path | string | yes | |
executionTargetId | path | string | yes |
Request body: application/json RotateRunnerEnrollmentDto
| Status | Description | Body |
|---|---|---|
| 200 | application/json RunnerEnrollmentManagementRotationResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |